#
# checkfs.sh	Check all filesystems.
#
# Version:	@(#)checkfs  2.85-13  22-Mar-2004  miquels@cistron.nl
#

FSCKFIX=no
[ -f /etc/default/rcS ] && . /etc/default/rcS

. /lib/lsb/init-functions

#
# Check the rest of the file systems.
#
if [ ! -f /fastboot ]
then
    if [ -f /forcefsck ]
    then
        force="-f"
    else
        force=""
    fi
    if [ "$FSCKFIX"  = yes ]
    then
	fix="-y"
    else
	fix="-a"
    fi
    spinner="-C"
    case "$TERM" in
	dumb|network|unknown|"") spinner="" ;;
    esac
    [ `uname -m` = s390 ] && spinner="" # This should go away
    log_begin_msg "Checking all file systems..."
    fsck $spinner -T -R -A $fix $force
    log_end_msg $?
    if [ $? -gt 1 ]
    then
      echo
      log_failure_msg "fsck failed.  Please repair manually."
      echo
      log_success_msg "CONTROL-D will exit from this shell and continue system startup."
      echo
      # Start a single user shell on the console
      /sbin/sulogin $CONSOLE
    fi
fi
rm -f /fastboot /forcefsck

: exit 0
